<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <artifactId>GroIMP</artifactId>
    <groupId>de.grogra</groupId>
    <version>2.1.6</version>
  </parent>

  <artifactId>platform.core</artifactId>
  <packaging>jar</packaging>

  <name>Platform-Core</name>

<repositories>
  <repository>
    <id>gitlab-maven</id>
    <url>https://gitlab.com/api/v4/groups/55048746/-/packages/maven</url>
  </repository>
</repositories>
  	
  <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.11</version>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-api</artifactId>
      <version>2.19.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-core</artifactId>
      <version>2.19.0</version>
    </dependency>
    <dependency>
      <groupId>com.zaxxer </groupId>
      <artifactId>SparseBitSet</artifactId>
      <version>1.2</version>
    </dependency>
    <dependency>
	    <groupId>com.google.guava</groupId>
	    <artifactId>guava</artifactId>
	    <version>33.4.0-jre</version>
	</dependency>
    
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>xl.core</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>utilities</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>
    <dependency>
      <groupId>de.grogra</groupId>
      <artifactId>graph</artifactId>
      <version>${groimp.core.version}</version>
    </dependency>

  </dependencies>

  <build>
        <plugins>
        				        
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <executions>
                    <execution>
                        <id>make-assembly</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
					<configuration combine.self="override">
	                    <descriptorRefs>
	                        <descriptorRef>jar-with-dependencies</descriptorRef>
	                    </descriptorRefs>
	                    <archive>
	                        <manifest>
	                            <mainClass>de.grogra.pf.boot.Main</mainClass>
	                        </manifest>
	                    </archive>
	                    <outputDirectory>${app.directory}</outputDirectory>
	                </configuration>                    
	                </execution>
	                <execution>
                        <id>move-lib</id>
                        <phase>none</phase>
	                </execution>
                </executions>
            </plugin>
            
            <plugin>
	          <artifactId>maven-jar-plugin</artifactId>
	          <configuration>
				  <outputDirectory>${project.build.directory}</outputDirectory>
			  </configuration>
	        </plugin>
                
         <plugin>
       <artifactId>maven-antrun-plugin</artifactId>
       <version>3.1.0</version>
        <executions>
         <execution>
              <id>copy-core-resources</id>
              <phase>package</phase>
              <goals>
                 <goal>run</goal>
              </goals>
              <configuration>
                 <target>
					 <echo>Copy the core resources </echo>
					<copy todir="${app.directory}" includeEmptyDirs="false">
						<fileset dir="${project.basedir}" includes="jel.xml"/>
				  	</copy>
				  	<copy todir="${app.directory}" includeEmptyDirs="false">
						<fileset dir="${project.build.outputDirectory}" includes="*" excludes="*.class"/>
				  	</copy>
                 </target>
	
              </configuration>
           </execution>
        </executions>
      </plugin>
      
            </plugins>


  </build>
  
	  

</project>
